package com.tax.token.model;

import com.yxcheng.token.utils.StringUtil;

public class TaxSmsModel {
	
	private String zoneCode;
	private String validCode;
	
	public String getZoneCode() {
		return zoneCode;
	}
	public void setZoneCode(String zoneCode) {
		this.zoneCode = zoneCode;
	}
	public String getValidCode() {
		return validCode;
	}
	public void setValidCode(String validCode) {
		this.validCode = validCode;
	}
	
	public boolean isSuccess() {
		return StringUtil.isNotEmpty(zoneCode) && StringUtil.isNotEmpty(validCode);
	}
	
	public TaxSmsModel() {
		super();
	}
	public TaxSmsModel(String zoneCode, String validCode) {
		this.zoneCode = zoneCode;
		this.validCode = validCode;
	}
	
	@Override
	public String toString() {
		return "TaxSmsModel [zoneCode=" + zoneCode + ", validCode=" + validCode + "]";
	}
	
	
}
